VULKAN_HPP_NAMESPACE::EventCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::EventCreateInfo:
[legend]

## Public Member Functions

| EventCreateInfo (EventCreateFlags flags_=EventCreateFlags())
| EventCreateInfo (VkEventCreateInfo const &rhs)
EventCreateInfo & | operator= (VkEventCreateInfo const &rhs)
EventCreateInfo & | setPNext (const void *pNext_)
EventCreateInfo & | setFlags (EventCreateFlags flags_)
| operator VkEventCreateInfo const & () const
| operator VkEventCreateInfo & ()
bool | operator== (EventCreateInfo const &rhs) const
bool | operator!= (EventCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
EventCreateFlags | flags

## Private Attributes

StructureType | sType = StructureType::eEventCreateInfo

## Detailed Description

Definition at line 11500 of file vulkan.hpp.

## Constructor & Destructor Documentation

## EventCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::EventCreateInfo::EventCreateInfo | ( | EventCreateFlags | flags_ = `EventCreateFlags()` | ) |

inline

Definition at line 11502 of file vulkan.hpp.

: flags( flags_ )
{
}

## EventCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::EventCreateInfo::EventCreateInfo | ( | VkEventCreateInfo const & | rhs | ) |

inline

Definition at line 11507 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( EventCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkEventCreateInfo &()

VULKAN_HPP_NAMESPACE::EventCreateInfo::operator VkEventCreateInfo & | ( |  | ) |

inline

Definition at line 11534 of file vulkan.hpp.

{
return *reinterpret_cast<VkEventCreateInfo*>(this);
}

## operator VkEventCreateInfo const &()

VULKAN_HPP_NAMESPACE::EventCreateInfo::operator VkEventCreateInfo const & | ( |  | ) | const

inline

Definition at line 11529 of file vulkan.hpp.

{
return *reinterpret_cast<const VkEventCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::EventCreateInfo::operator!= | ( | EventCreateInfo const & | rhs | ) | const

inline

Definition at line 11546 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

EventCreateInfo& VULKAN_HPP_NAMESPACE::EventCreateInfo::operator= | ( | VkEventCreateInfo const & | rhs | ) |

inline

Definition at line 11512 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( EventCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::EventCreateInfo::operator== | ( | EventCreateInfo const & | rhs | ) | const

inline

Definition at line 11539 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags );
}

References flags, pNext, and sType.

Referenced by operator!=().

## setFlags()

EventCreateInfo& VULKAN_HPP_NAMESPACE::EventCreateInfo::setFlags | ( | EventCreateFlags | flags_ | ) |

inline

Definition at line 11523 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

EventCreateInfo& VULKAN_HPP_NAMESPACE::EventCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11517 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

EventCreateFlags VULKAN_HPP_NAMESPACE::EventCreateInfo::flags

Definition at line 11556 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::EventCreateInfo::pNext = nullptr

Definition at line 11555 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::EventCreateInfo::sType = StructureType::eEventCreateInfo

private

Definition at line 11552 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::EventCreateInfo::EventCreateInfo
EventCreateInfo(EventCreateFlags flags_=EventCreateFlags())
Definition: vulkan.hpp:11502
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::EventCreateInfo::operator==
bool operator==(EventCreateInfo const &rhs) const
Definition: vulkan.hpp:11539
VULKAN_HPP_NAMESPACE::EventCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:11552
VULKAN_HPP_NAMESPACE::EventCreateInfo::flags
EventCreateFlags flags
Definition: vulkan.hpp:11556
VULKAN_HPP_NAMESPACE::EventCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:11555
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VkEventCreateInfo
Definition: vulkan_core.h:2180